Bug 245641 - [RHEL5 Doc]: Certain bash commands have differing behavior when run as "sh" vs. "bash"
[RHEL5 Doc]: Certain bash commands have differing behavior when run as "sh" v...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bash (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Tomas Janousek
Chris Ward
: Documentation
Depends On:
Blocks: 246258
  Show dependency treegraph
Reported: 2007-06-25 16:27 EDT by Chris Lalancette
Modified: 2010-10-22 11:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0380
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:36:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Example bash man page update (506 bytes, patch)
2007-06-25 16:28 EDT, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2007-06-25 16:27:05 EDT
Description of problem:
The behavior of certain builtin bash commands (including eval, exec, set, unset,
export, readonly, source, and trap) differ when operating either in "sh" mode,
or "posix" mode (I think they are the same thing, but I'm not 100% sure).  This
is a request to document those differences; for example, if in "sh" mode,
"export" with an invalid option will abort the script instead of continuing on.
 I will upload a preliminary version of the documentation from the customer; it
doesn't document the differences in any real detail, but might be a starting point.
Comment 1 Chris Lalancette 2007-06-25 16:28:14 EDT
Created attachment 157808 [details]
Example bash man page update
Comment 2 RHEL Product and Program Management 2007-10-15 23:56:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 8 errata-xmlrpc 2008-05-21 11:36:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.